%define upstream_name Dist-Zilla-Plugin-TemplateCJM
%define upstream_version 4.21

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Process templates, including version numbers & changes
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(DateTime::Format::Natural)
BuildRequires:	perl(Dist::Zilla::Role::InstallTool)
BuildRequires:	perl(Dist::Zilla::Role::ModuleInfo)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Moose::Autobox)

BuildArch:	noarch

%description
Dist::Zilla::Plugin::TemplateCJM is a plugin written for Dist::Zilla.
It used to be distributed in Dist-Zilla-Plugins-CJM, but when
DateTime::Format::Natural was added as a prerequisite, it was decided
to split it out.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.210.0-2.mga4
+ Revision: 534184
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 4.210.0-1.mga4
+ Revision: 476353
- update to 4.21

* Sun Aug 25 2013 sander85 <sander85> 4.200.0-1.mga4
+ Revision: 471481
- imported package perl-Dist-Zilla-Plugin-TemplateCJM

